Retrieve Expected Power Shelf

View as Markdown
Retrieve a specific Expected Power Shelf by ID. Org must have an Infrastructure Provider entity. User must have authorization role with `PROVIDER_ADMIN` or `PROVIDER_VIEWER` suffix. Alternatively, Tenant Admins with `TargetedInstanceCreation` capability can also retrieve Expected Power Shelves if they have an account with the Site's Infrastructure Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
expectedPowerShelfIdstringRequired
ID of the Expected Power Shelf

Query parameters

includeRelationenumOptional
Related entity to expand
Allowed values:

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the Expected Power Shelf
siteIdstringOptionalRead-onlyformat: "uuid"
ID of the site the Expected Power Shelf belongs to
bmcMacAddressstringOptionalformat: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"

MAC address of the Expected Power Shelf’s BMC (Baseboard Management Controller)

shelfSerialNumberstringOptional
Serial number of the Expected Power Shelf
bmcIpAddressstring or nullOptional

Optional BMC IP address (IPv4 or IPv6). When set, pre-allocates a reserved IP for the BMC.

rackIdstring or nullOptional
Optional rack identifier for this component
namestring or nullOptional
Display name for this component
manufacturerstring or nullOptional
Manufacturer of this component
modelstring or nullOptional
Model of this component
descriptionstring or nullOptional
Description of this component
slotIdinteger or nullOptional
Slot ID within the rack
trayIdxinteger or nullOptional
Tray index within the rack
hostIdinteger or nullOptional
Host ID within the tray
labelsmap from strings to stringsOptional

User-defined key-value pairs for organizing and categorizing Expected Power Shelves

createddatetimeOptionalRead-only
ISO 8601 datetime when the Expected Power Shelf was created
updateddatetimeOptionalRead-only
ISO 8601 datetime when the Expected Power Shelf was last updated

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error